www.digitalmars.com         C & C++   DMDScript  

digitalmars.D.ldc - LDC 1.0.0 not working on Travis CI on OSX?

reply Jeremy DeHaan <dehaan.jeremiah gmail.com> writes:
I recently upgraded my .travis.yml to include some new LDC 
versions, and they all work except for 1.0.0 on OSX.

When the ldmd command is run, I see the following error:

dyld: Library not loaded: /opt/local/lib/libconfig.9.dylib

   Referenced from: /Users/travis/dlang/ldc-1.0.0/bin/ldmd2

   Reason: image not found

0.16.1, 0.17.2, 1.1.0, and 1.2.0-beta all work on OSX; 1.0.0 is 
the only one that gives me this error.

Any idea what's going on here?
Mar 21
parent reply kinke <noone nowhere.com> writes:
On Tuesday, 21 March 2017 at 22:33:42 UTC, Jeremy DeHaan wrote:
 I recently upgraded my .travis.yml to include some new LDC 
 versions, and they all work except for 1.0.0 on OSX.

 When the ldmd command is run, I see the following error:

 dyld: Library not loaded: /opt/local/lib/libconfig.9.dylib

   Referenced from: /Users/travis/dlang/ldc-1.0.0/bin/ldmd2

   Reason: image not found

 0.16.1, 0.17.2, 1.1.0, and 1.2.0-beta all work on OSX; 1.0.0 is 
 the only one that gives me this error.

 Any idea what's going on here?
If I recall correctly, setting up the RPATH for the ldmd2 executable was missing in the 1.0 OSX package (but ldc2 works).
Mar 21
parent David Nadlinger via digitalmars-d-ldc <digitalmars-d-ldc puremagic.com> writes:
On 22 Mar 2017, at 0:31, kinke via digitalmars-d-ldc wrote:
 If I recall correctly, setting up the RPATH for the ldmd2 executable 
 was missing in the 1.0 OSX package (but ldc2 works).
Yep - IIRC ldmd2 mistakenly linked against libconfig as well, even though only ldc2 actually requires it. Apparently we only caught this during the 1.1 beta process, so we never fixed it for 1.0. I suppose we could spin a new 1.0.1 release with this fixed as well, but I wonder whether it is worth the time investment. — David
Mar 21